{
  "pluginPath": {
    "shutdown": "/sysevents/shutdown",
    "wmi": "/sysevents/wmi",
    "reloadConfig": "/sysevents/config/refresh"
  },
  "agentPath": {
    "data": "/sysevents/data"
  },
  "logLevel": "ERROR",
  "maxLogFileSizeInMB": 1,
  "oldLogFileToKeep": 5,
  "filesystemColdstartDelaySec": 300,
  "registryColdstartDelaySec": 360,
  "registryPluginAPIpath": "/registry/registry/keyValue",
  "filesystemPluginAPIpath":"/filesystem/filesystem/getFileSystemState",
  "filesystemPollingIntervalMilSec":30000,
  "missedKeysPollIntervalMilSec":30000,
  "serviceLimit": 2000,
  "enablePluginDataPersist": true,
  "events": [
    {
      "name":"assetService",
      "pluginPaths": [],
      "brokerPath": "/service",
      "type":"service",
      "api": {
        "thresholdServiceInSec": 60,
        "thresholdDelayedServiceInSec": 900,
        "thresholdFreqServiceInMultiples": 2,
        "discardServices": [],
        "alertServices": ["sbm-server","cdp-server","cdp"],
        "delayedServices":[],
        "pollingIntervalInSec": 10
      }
    },
    {
      "name":"assetLinuxInstalledSoftware",
      "pluginPaths": ["/asset/asset/installedSoftware","/remoteaccess/remoteaccess/uninstall"],
      "brokerPath": "",
      "type":"linuxInstalledSoftware",
      "api": {
        "thresholdFreqServiceInMultiples": 2,
        "pollingIntervalInSec": 120
      }
    },
    {
      "name":"assetDisk",
      "pluginPaths": ["/asset/asset/drive"],
      "brokerPath": "",
      "type":"disk",
      "api": {
        "thresholdFreqServiceInMultiples": 2,
        "pollingIntervalInSec": 120
      }
    },
    {
      "api": {
        "alertServices": [],
        "pollingIntervalInSec": 10,
        "sendFullSnapshotInSeconds": 86400
      },
      "brokerPath": "/perfProcess",
      "name": "perfProcess",
      "pluginPaths": [],
      "sendSnapShotOnStartUp": true,
      "type": "process"
    }
  ],

  "shutdownTimeout": "1m",

  "includes":[
      "../plugin/registry/registry_keys.json",
      "../plugin/filesystem/filesystem_paths.json"
  ]
}
